=== debian/control ===
Source: linphone
Section: sound
Priority: optional
Maintainer: Uwe Steinmann <uwe@steinmann.cx>
Build-Depends: debhelper (>> 3.0.0), libosip-dev (>= 0.9.6)
Standards-Version: 3.5.2

Package: linphone
Architecture: any
Depends: ${shlibs:Depends}, libosip1 (>= 0.9.6), libspeex
Description: A sip phone
 Linphone is a web phone: it let you phone to your friends anywhere in the
 whole world, freely, simply by using the internet. It is compatible with the
 well known SIP protocol.
